function [fx ft] = fourier_xform(x,t,range)

dt = t(2)-t(1);
N = length(t);
period = N*dt;
f0 = 1/period;
M = N/2;
k = -M:M-1;
ft = k*f0;
fx = fftshift(fft(x));
if (nargout<1)
    if (nargin<3)
        range = 600;
    end
    idx = find(ft>=0 & ft<range);
    fa = abs(fx)/M;
    plot(ft(idx),fa(idx));
    xlabel('frequency');
    ylabel('magnitude');
end